Package org.apache.sysds.runtime.compress.lib

## Class CLALibAggTernaryOp

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibAggTernaryOp

    public final class CLALibAggTernaryOp
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `agg​(MatrixBlock m1, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret, AggregateTernaryOperator op, boolean inCP)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### agg

    public static MatrixBlock agg​(MatrixBlock m1,
                                  MatrixBlock m2,
                                  MatrixBlock m3,
                                  MatrixBlock ret,
                                  AggregateTernaryOperator op,
                                  boolean inCP)